/*!
        @file    doxygen.h

        @brief

        @author  Shinji Motoki  (smotoki)
                 $LastChangedBy: namekawa $

        @date    $LastChangedDate:: 2019-03-08 01:40:42 #$

        @version $LastChangedRevision: 1955 $
*/

#ifndef DOXYGEN_INCLUDED
#define DOXYGEN_INCLUDED

/**
   \mainpage Lattice QCD common code development Project
   \section intro [Introduction]
    Bridge++ is a code set for performing calculations in lattice QCD on linux workstations, and  \n
    supercomputers using "C/C++" standard language with MPI.
    \n

   \section environment [Environment]
        - Target platforms are listed in Makefile.
        - For confirmation on each environment, see Bridge++ wiki.
          https://www.bridge-hpc.org/
        \n
   \section install [Install]
        - See 'First Step Guide' on Bridge++ wiki.
    \n

   \section author [Authors]
   \subsection project_member Project Member
   Shinya    Aoki      (Kyoto Univ.)\n
   Tatsumi   Aoyama    (KEK)\n
   Issaku    Kanamori  (Hiroshima Univ.)\n
   Kazuyuki  Kanaya    (Univ. of Tsukuba)\n
   Hideo     Matsufuru (KEK)\n
   Takaya    Miyamoto  (Kyoto Univ.)\n
   Yusuke    Namekawa  (Univ. of Tsukuba)\n
   Hidekatsu Nemura    (Osaka Univ.)\n
   Yusuke    Taniguchi (Univ. of Tsukuba)\n

   \subsection contributer Contributer
   Takumi    Doi       (RIKEN)\n
   Shoji     Hashimoto (KEK)\n
   Noriyoshi Ishii     (Osaka Univ.)\n
   Ken-ichi  Ishikawa  (Hiroshima Univ.)\n
   Takashi   Kaneko    (KEK)\n
   Yoshinobu Kuramashi (Univ. of Tsukuba)\n
   Kenji     Ogawa     (National Chiao Tung Univ.)\n
   Kenji     Sasaki    (Kyoto Univ.)\n
   Naoya     Ukita     (Univ. of Tsukuba)\n
   Tomoteru  Yoshie    (Univ. of Tsukuba)\n

   \subsection former_member Former Member
   Guido     Cossu     \n
   Shinji    Motoki    \n
   Jun-Ichi  Noaki     \n
   Hana      Saito     \n
   Satoru    Ueda      \n

   \section history [History]
    - 2019/03/07    Version 1.5 Release.
    - 2017/03/15    Version 1.4 Release.
    - 2015/10/08    Version 1.3 Release.
    - 2014/09/17    Version 1.2 Release.
    - 2013/07/22    Version 1.1 Release.
    - 2012/07/25    Version 1.0 Release.
    - 2009-2019
 */
#endif // DOXYGEN_INCLUDED


//   \section reference Reference
//    - [ref]
//    - [ref]
